module.exports = {
  presets: ['module:metro-react-native-babel-preset'],
  plugins: [
    // ... other configs, if any
    [
      'module-resolver',
      {
        extensions: [
          '.ios.js',
          '.android.js',
          '.ios.jsx',
          '.android.jsx',
          '.js',
          '.jsx',
          '.json',
          '.ts',
          '.tsx',
        ],
        root: ['.'],
        alias: {
          '@redux': './src/redux',
          '@lang': './src/lang',
          '@pages': './src/pages',
          '@api': './src/api',
          '@assets': './src/assets',
          '@components': './src/components',
          '@scenes': './src/scenes',
          '@theme': './src/theme',
          '@utils': './src/utils',
          '@navigation': './src/navigation',
          '@configs': './src/configs',
          '@helper': './src/helper',
          '@user': './src/user',
          '@event': './src/event',
        },
      },
    ],

    // ... other configs, if any
  ],
};
