import {SourceProp} from '@user/types';
import {Image, ImageProps} from 'react-native';

type imageType = Blob | undefined;

export interface BasicImageProp {
  source: SourceProp;
  url?: string;
  data?: imageType;
}
interface CustomImageProps extends ImageProps {
  hq?: {source: SourceProp; data: imageType; url: string};
}

function MyImage({...rest}: CustomImageProps) {
  return <Image {...rest} />;
}

export function getImageURL(
  image: (BasicImageProp | undefined)[],
): string | undefined {
  for (let i = 0; i < image.length; i++) {
    const img = image[i];

    if (img === undefined) continue;

    if (img.source === SourceProp.online) {
      if (img.url !== undefined) return img.url;
    }
  }

  return undefined;
}

export default MyImage;
