import { EventID, EventType } from '@event/types';



interface BasicEvent {
  id: EventID;
  latitude: number;
  longitude: number;
  type: EventType | "cluster";
}

interface PA_Point_Cluster extends BasicEvent {
  type: 'cluster';
  cluster: number;
}

interface PA_Point_Event extends BasicEvent {
  type: 'event';
  theme?: number;
}

interface PA_Point_EventStore extends BasicEvent {
  type: 'eventStore';
  theme?: number;
}

type PA_Point = PA_Point_Cluster | PA_Point_Event | PA_Point_EventStore;

export type {
  PA_Point_Cluster,
  PA_Point_Event,
  PA_Point_EventStore,
  PA_Point,
  EventID,
};
