import LangFormat from './default';

export const lang: LangFormat = {
  details: {
    langCode: 'en',
    langName: 'English',
  },
  event: {
    info: 'INFO',
    details: 'DETAILS',
    tickets: 'Tickets',
    join: 'Join',
    quit: 'Quit',
  },
  eventCreateion: {
    newEventTitle: 'New Event',
    newPublicEventTitle: 'New Public Event',
    newPrivateEventTitle: 'New Private Event',
    name: 'Name',
    uploadImage: 'Upload banner',
    description: 'Description',
    location: 'Location',
    create: 'Create',
    website: 'Website',
    datetime: 'Date & Time',
    openingHoursFlag: 'Opening hours / days',
  },
  days: {
    monday: 'Monday',
    tuesday: 'Tuesday',
    wednesday: 'Wednesday',
    thursday: 'Thursday',
    friday: 'Friday',
    saturday: 'Saturday',
    sunday: 'Sunday',
  },
  appName: 'Party App',
  navigation: {
    home: {
      profile: {
        tabName: 'Profile',
        overview: 'My profile',
        settings: 'Profile Settings',
        updateUsername: 'Change username',
        updatePassword: 'Change password',
        help: 'Help',
        about: 'About',
      },
      calendar: {
        tabName: 'Calendar',
        overview: 'Upcomming events',
      },
      map: {
        tabName: 'Map',
        overview: 'Map',
      },
      chats: {
        tabName: 'Chats',
        overview: 'Chats',
      },
    },
  },
  info: 'Info',
  error: 'Error',
  success: 'Success',
  commonInputs: {
    username: {
      label: 'USERNAME',
      errorLength: 'At least ${minLength} characters are required',
      errorUsernameInvalid:
        'Username can only contain a-z, 0-9, underscores and dots',
    },
    accountName: {
      label: 'ACCOUNT NAME',
      errorLength: 'Account name must be at least ${minLength} characters long',
      errorAccountNameInvalid:
        'Account name can only contain a-z, 0-9, underscores and dots',
    },
    password: {
      label: 'PASSWORD',
      errorLength: 'Password must be at least ${minLength} characters long',
      errorPasswordInvalid:
        'Must include at least on uppercase letter, one lowercase letter, one number and one special character',
    },
  },
  registration: {
    buttonLogin: 'Login',
    buttonSignUp: 'Sign up',
    buttonNext: 'Next',
    dividerText: 'or',
    thirdAuthButton: {
      google: 'Sign in with Google',
      apple: 'Sign in with Apple',
    },
    previewLogin: {
      title: 'Time to get to know the next a party',
      dontHaveAccount: "Don't have an account?",
    },
    previewSignup: {
      title: 'Find the next party near you',
      agreeToTerms: 'By signing up, you agree to our',
      agreeToTermsAnd: 'and',
      alreadyHaveAccount: 'Already have an account?',
      terms: 'Terms',
      privacyPolicy: 'Privacy Policy',
      cookieUse: 'Cookie Use',
    },
    login: {
      title: 'Welcome back!',
      inputPhoneNumberOrAccountName: 'ACCOUNT NAME',
      inputPassword: 'PASSWORD',
    },
    signUpStepUsername: {
      title: "Let's get started, what's your name?",
      description: 'The name will be displayed on your profil overview',
    },
    signUpStepPhoneNumber: {
      title: 'Create your account using your phone number',
    },
    signUpStepVerifyPhoneNumber: {
      title: 'We sent you a code',
      description: 'Enter the 6-digit code we sent to',
      clickableTextResendCode: 'Resend code',
    },
    signUpStepPassword: {
      title: "You'll need a password",
      description: 'Make sure it’s ${minLength} characters or more.',
    },
    signUpStepAccountName: {
      title: 'Next, create your account name',
      description:
        'Your account name is unique and is used for friends to find you.',
      inputAccountName: 'ACCOUNT NAME',
      buttonGetStarted: 'Get Started',
      signUpError: {
        400: 'Invalid account name',
        401: 'Invalid credentials',
        500: 'Server error',
        502: 'Server not reachable',
      },
    },
  },
  profile: {
    overview: {
      statistics: {
        followers: 'FOLLOWER',
        following: 'FOLLOWING',
        visited: 'VISITED',
      },
    },
    settings: {
      overview: {
        accountData: {
          title: 'ACCOUNT DATA',
          accountName: 'ACCOUNT NAME',
          username: 'USERNAME',
          phoneNumber: 'PHONE NUMBER',
        },
        changePassword: {
          title: 'PASSWORD',
          password: 'PASSWORD',
          tapToChange: 'Tap to change',
        },
        moreInfo: {
          title: 'MORE INFO',
          help: 'Help',
          about: 'About',
          logout: 'Logout',
        },
      },
      changeUsername: {
        username: 'USERNAME',
        info: 'You can use a-z, 0-9 and underscores.',
        info2: 'Minimum length is ${minLength} characters.',
      },
      changePassword: {
        currentPassword: 'CURRENT PASSWORD',
        newPassword: 'NEW PASSWORD',
        repeatNewPassword: 'REPEAT NEW PASSWORD',
        info: 'Make sure it’s ${minLength} characters or more.',
        info2: 'You will be logged out after changing your password.',
      },
      help: {
        reportAProblem: 'Report a problem',
        helpCenter: 'Help center',
      },
      about: {
        aboutYourAccount: 'About your account',
        privacyPolicy: 'Privacy Policy',
        termsOfService: 'Terms of Service',
        openSourceLibraries: 'Open source libraries',
      },
    },
  },
};
