import {MyIconButton} from '@components/MyButton';
import {MyScreenContainer} from '@components/MyScreenContainer';
import {ButtonText, VStack, HStack} from '@gluestack-ui/themed';
import {RootState} from '@redux/store';
import {View, Text, Button, Pressable} from 'react-native';
import {useSelector} from 'react-redux';

import MaterialIcon from 'react-native-vector-icons/MaterialIcons';

function Overview() {
  const lang = useSelector(
    (state: RootState) => state.appVariables.lang.eventCreateion,
  );
  const currentTheme = useSelector(
    (state: RootState) => state.nonSaveVariables.theme.colors,
  );

  return (
    <MyScreenContainer>
      <VStack space={'sm'} alignItems="center">
        <EventType MyIconProps={{name: 'public', size: 28}} />
        <EventType MyIconProps={{name: 'public', size: 28}} />
      </VStack>
    </MyScreenContainer>
  );
}

function EventType({
  MyIconProps,
}: {
  MyIconProps: {name: string; size: number; color?: string};
}) {
  const currentTheme = useSelector(
    (state: RootState) => state.nonSaveVariables.theme.colors,
  );

  return (
    <Pressable
      style={{
        width: '100%',
        height: 50,
        backgroundColor: currentTheme.backgroundDark300,
        borderRadius: 10,
      }}>
      <HStack>
        <MaterialIcon
          name={MyIconProps.name}
          size={MyIconProps.size}
          color={MyIconProps.color}
        />
        <Text>Event Type</Text>
      </HStack>
    </Pressable>
  );
}

export default Overview;
