import {MyScreenContainer} from '@components/MyScreenContainer';
import {Item} from './help';
import {useSelector} from 'react-redux';
import {RootState} from '@redux/store';

export function About() {
  const lang = useSelector(
    (state: RootState) => state.appVariables.lang.profile.settings.about,
  );

  return (
    <MyScreenContainer>
      <Item icon="person" title={lang.aboutYourAccount} onPress={() => {}} />
      <Item icon="privacy-tip" title={lang.privacyPolicy} onPress={() => {}} />
      <Item icon="description" title={lang.termsOfService} onPress={() => {}} />
      <Item
        icon="library-books"
        title={lang.openSourceLibraries}
        onPress={() => {}}
      />
    </MyScreenContainer>
  );
}
